<ion-header>
  <ion-toolbar color="new" class="header">
    <ion-title class="title ion-text-center">Añadir</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>

  <form [formGroup]="creditForm">

    <ion-item>
      <ion-label position="floating">Nombre AC</ion-label>
      <ion-input class="ion-text-capitalize" formControlName="nombre_ac" (ngModel)="nombre_ac" uppercase></ion-input>
    </ion-item>
    <div class="error-message" *ngIf="nombre_ac.invalid && (nombre_ac.dirty || nombre_ac.touched)">
      <small><ion-text color="danger">Campo requerido</ion-text></small>
    </div>
  
    <ion-item>
      <ion-label position="floating">Clientes</ion-label>
      <ion-input class="ion-text-capitalize" type="number" formControlName="clientes"></ion-input>
    </ion-item>
    <div class="error-message" *ngIf="clientes.invalid && (clientes.dirty || clientes.touched)">
      <small><ion-text color="danger">Campo requerido</ion-text></small>
    </div>
  
    <ion-item>
      <ion-label position="floating">Monto</ion-label>
      <ion-input class="ion-text-capitalize" type="number" formControlName="monto"></ion-input>
    </ion-item>
    <div class="error-message" *ngIf="monto.invalid && (monto.dirty || monto.touched)">
      <small><ion-text color="danger">Campo requerido</ion-text></small>
    </div>
  
    <ion-item>
      <ion-label position="stacked">Banco</ion-label>
      <!--<ion-input class="ion-text-capitalize" type="number" formControlName="banco"></ion-input>-->
      <ion-select formControlName="banco" placeholder="Selecciona...">
        <ion-select-option [value]="1">BBVA Bancomer</ion-select-option>
        <ion-select-option [value]="2">Banamex</ion-select-option>
      </ion-select>
    </ion-item>
    <div class="error-message" *ngIf="banco.invalid && (banco.dirty || banco.touched)">
      <small><ion-text color="danger">Campo requerido</ion-text></small>
    </div>
  
    <ion-item>
      <ion-label position="stacked">Fecha desembolso</ion-label>
      <ion-datetime formControlName="fecha_desembolso" displayFormat="DD/MM/YYYY"></ion-datetime>
    </ion-item>
    <div class="error-message" *ngIf="fecha_desembolso.invalid && (fecha_desembolso.dirty || fecha_desembolso.touched)">
      <small><ion-text color="danger">Campo requerido</ion-text></small>
    </div>
  
    <ion-item>
      <ion-label position="stacked">Sucursal</ion-label>
      <!--<ion-input class="ion-text-capitalize" type="number" formControlName="sucursal"></ion-input>-->
      <ion-select formControlName="sucursal" placeholder="Selecciona...">
        <ion-select-option [value]="1">Xalapa</ion-select-option>
        <ion-select-option [value]="2">Teziutlán</ion-select-option>
        <ion-select-option [value]="3">Oaxaca</ion-select-option>
        <ion-select-option [value]="4">Puebla</ion-select-option>
      </ion-select>
    </ion-item>
    <div class="error-message" *ngIf="sucursal.invalid && (sucursal.dirty || sucursal.touched)">
      <small><ion-text color="danger">Campo requerido</ion-text></small>
    </div>
  
    <ion-item>
      <ion-label position="stacked">Regional</ion-label>
      <!--<ion-input class="ion-text-capitalize" type="number" formControlName="regional"></ion-input>-->
      <ion-select formControlName="regional" placeholder="Selecciona...">
        <ion-select-option [value]="1">Veracruz</ion-select-option>
        <ion-select-option [value]="2">Puebla</ion-select-option>
        <ion-select-option [value]="3">Oaxaca</ion-select-option>
      </ion-select>
    </ion-item>
    <div class="error-message" *ngIf="regional.invalid && (regional.dirty || regional.touched)">
      <small><ion-text color="danger">Campo requerido</ion-text></small>
    </div>
  
    <ion-grid>
      <ion-row >
        <ion-col>
          <ion-button expand="block" color="new" (click)="saveCredit()">Guardar</ion-button>
        </ion-col>
        <ion-col >
          <ion-button expand="block" color="danger" (click)="resetForm()">Limpiar</ion-button>
        </ion-col>
      </ion-row>
    </ion-grid>

  </form>

</ion-content>
